﻿////mr-bundler-ignore
var MrModify = function () {}
var MrHasLoadingForAHI=false;
function MrStartUI() {
    MrMUISecoundryColor = '#181C89';
    MrMUIPrimaryColor = '#F5F5F5';
    MrMUIToolWidth = "30vw";
    MrMUIToolMaxWidth = "650px";
    MrMUIToolMinWidth = "400px";
    MrExcludedCSSElementsSelector = ".fa, .fab, .fad, .fal, .far, .fas,i";
    Mrnoggt = false;
    MrCID = 305;
    MrAudCid = 0;
    MrArabicUIisOn = document.getElementsByTagName('html')[0].getAttribute('lang') == 'ar' || window.location.href.toString().toLowerCase().indexOf('/ar/'.toLowerCase()) > -1;
    MrArabicFlag = "uae";
    MrSortLanguages = true;
    
    MrGotoArabicVersion = function () {

        if (!MrArabicUIisOn) {
            window.location.href = jQuery('#switchToArabicbtn').attr('href');
            //MrMUIApplyTranslate("ar");
            MrUPChangeToolLangToAR();
        }
    };
    MrGotoEnglishVersion = function () {

        if (MrArabicUIisOn) {

           window.location.href = jQuery('#switchToEnglishbtn').attr('href');
            // MrMUIApplyTranslate("en");
            MrUPChangeToolLAngToEN();
        }
    };
    MrModify();
    MRUAPPrepareUI(["MrSignLanguage","MrReadSpeakerFeature","MrControl_Page_contrast","MrCursor_Helpers","MrChangefont","MrPage_saturation_control","MrWords_Spacing","MrRealWords_Spacing","MrLine_Spacing","MrEnlarge_Fonts","MrHighlight_Links","MrAnimation","MrText_Alignments","MrPage_Structure","MrHideImgs"],["MrVisuallyImpaired","Mrdyslexia","MrADHD","MrSeizureAndEpilepsy","MrColor_Blind","Mrcognitive_education","MrImpaired_mobility"]);

    var MrIconMessage = MrArabicUIisOn ? "مساعدة في استخدام الموقع" : "Assist using site" ;
    var mrMainHeader = MrArabicUIisOn ? "حقيبة الوصول الشامل": "Universal Accessibility Pack"; 
    var mrAccessBtnId = mrisMobileDevice() ? "#mobileAccessBtn" : "#accessBtn";

   
    var accessInHandBtn = jQuery(mrAccessBtnId).clone();
    var loadingDiv = document.createElement("div");
    loadingDiv.classList.add("mr-loading-div");
    accessInHandBtn.append(loadingDiv);

    jQuery(mrAccessBtnId).remove();
    if (mrisMobileDevice()) {
        var subHeaderActions = jQuery('.dda-side-nav__quick-links');
        subHeaderActions.prepend(accessInHandBtn);
    } else {
        var subHeaderActions = jQuery('.dda-sub-header__actions');
        subHeaderActions.children(':eq(1)').after(accessInHandBtn);

    }
    MrUAPAddStyle('.MrMUI-tab-container {overflow-x: hidden; overflow-y: auto;} #MrMUIFooter { width: 95%; padding: 5px 0px 5px 5px; } .spinning-border { animation: spin 2s linear infinite; border-top: 2px solid red; border-radius: 50%; width: 10%; height: 100%; position: absolute; }' ,'UIFixs');
    mrStopMainLoading = function () {
        
        jQuery('.mr-loading-div').removeClass('spinning-border');
    }
    mrStartMainLoading = function () {
        if(MrHasLoadingForAHI){
        jQuery('.mr-loading-div').addClass('spinning-border');
          MrHasLoadingForAHI=false;
        }
    }
    mrPostToolLoaded = function(){
        jQuery('#MrMUiUL > div[tabindex="3"] > img').attr('src', 'https://cdn.mindrocketsapis.com/client/imgs/globe.svg');
    }
    jQuery(mrAccessBtnId).click(async function () {
         MrHasLoadingForAHI=true;
        MrToolCheckLicense();
        MrUAPShowAssistiveTool();
        MrMUIGetGoogleTranslationValues(2);
    });


    MrUAPPrepareMrOrgColor();
    MrMUIActivateShotcuts();
}

function mrisMobileDevice() {
    const userAgent = navigator.userAgent;
    return /Android|webOS|iPhone|iPad|iPod|BlackBerry|IEMobile|Opera Mini/i.test(userAgent);
}
////endmr-bundler-ignore
jQuery(document).ready(function () {
    setTimeout(function () {
        MrStartUI();
    }, 500);
});